Bug 113065 - Quota errors in /var/log/messages
Quota errors in /var/log/messages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-07 17:26 EST by Owen Marshall
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 12:16:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Marshall 2004-01-07 17:26:27 EST
quota-3.06-11
kernel-2.4.20-20.9

"""
Jan  4 04:23:04 mail kernel: VFS: Quota for id 14101 referenced but
not present.
Jan  4 04:23:04 mail kernel: VFS: Can't read quota structure for id 14101.
Jan  4 04:24:18 mail kernel: VFS: find_free_dqentry(): Data block full
but it sh
ouldn't.
Jan  4 04:24:18 mail kernel: VFS: Error -5 occured while creating quota.
Jan  4 04:24:21 mail kernel: VFS: Inserting already present quota
entry (block 3
20).
"""

These are some of the messages we get pasted across one of our servers
screen. Quotas seem to be totally horked... the only solution I have
found is to blow away the quota files. I have read that if `repquota
-uga` segfaults, this is an indication of corruption. It does segfault.

There is a fix, however, what I am wondering is why this happens. We
are running EXT3 filesystem on a server with 3000+ users on. It is not
convient to blast quotas and recreate them every week.
Comment 1 Owen Marshall 2004-02-12 16:50:16 EST
Problem also seen on another system.

kernel-2.4.7-10smp
quota-3.06-9.7

Messages says same thing. Here is an example from the repquota:
#179      +- 750780417     179     179   none     179   179   179   none
#179      +- 754974721     180     180   none       0   179   179
Segmentation fault

Note those two huge blocksizes there.

Bumping to high priority as it is repro'd on multiple systems.

Comment 2 Steve Dickson 2005-01-27 12:16:45 EST
This does not appear on later releases 

Note You need to log in before you can comment on or make changes to this bug.